Subject: Re: Pine 3.89 and IRIX-5.2

From: [email-masked] (Tin Le)
Date: 4 Aug 1994 23:09:55 GMT

In article <[email-masked]>,
Randy Zagar <[email-masked]> wrote:
>Here are the list of changes that I made to get Pine v3.89 to
>compile under Irix-5.2
>
>os_sgi.c:
>
>  Critical change!!!
>
>    In rfc822_date(), change "_tzname" to "tzname".

This will work.

>  Not-so-Critical change...
>
>    Locate the string "/usr/ucb/rsh" and change is to RSHPATH
>    Do NOT put this in quotes!!!
>
>Now you're ready for prime time.

You might also want to edit the files ttyin.c, ttyout.c in the pine
directory.  It is somewhat unfortunate that the name "termname"
is used as a variable (char []), since in libcurse, termname() happens
to be a function.

I sent in a suggestion to the pine people last year about changing
termname the variable to something like "termName" so there won't be
a name conflict.  This was with regard to 3.89 so the changes, if any,
won't be there till next release of pine.

You can just do a search and replace all references to "termname" to
something else.  I suggest using "termName".

DISCLAIMER: I am not an SGI employee.  Just a consultant.  I definitely
do NOT speak for SGI.

Regards,
Tin Le

-- 
Tin Le ([email-masked])               | CBMSW Archive on Wuarchive.wustl.edu
[email-masked]                  | Submissions to [email-masked]
Moderator of comp.binaries.ms-windows | Questions to [email-masked]